Permalink
Browse files

Merge branch '1.5-support' of git://github.com/alej0varas/mock-django…

… into alej0varas-1.5-support

Conflicts:
	.gitignore
  • Loading branch information...
2 parents 1036ab1 + eb59b6c commit c45d4c861e1f8ebc90ad69ec02de9886016fa574 @dcramer committed Jun 17, 2013
Showing with 69 additions and 3 deletions.
  1. +2 −1 .gitignore
  2. +2 −0 .travis.yml
  3. +1 −1 README.rst
  4. +1 −1 setup.py
  5. +2 −0 tests/requirements.txt
  6. +61 −0 tox.ini
View
@@ -1,6 +1,7 @@
*.pyc
*.egg
*.egg-info/
+*~
/dist
/build
-*~
+.tox
View
@@ -6,6 +6,8 @@ python:
env:
- DJANGO=1.2.7
- DJANGO=1.3.1
+ - DJANGO=1.4.5
+ - DJANGO=1.5.1
install:
- sudo apt-get install libevent-dev
- sudo pip install Django==$DJANGO --use-mirrors
View
@@ -29,4 +29,4 @@ Testing
:alt: Build Status
:target: http://travis-ci.org/dcramer/mock-django
-``python setup.py test``
+``tox``
View
@@ -19,7 +19,7 @@
url='http://github.com/dcramer/mock-django',
packages=find_packages(),
install_requires=[
- 'Django>=1.2,<1.5',
+ 'Django>=1.2',
'mock',
],
tests_require=[
@@ -0,0 +1,2 @@
+nose
+unittest2
View
@@ -0,0 +1,61 @@
+# Tox (http://tox.testrun.org/) is a tool for running tests
+# in multiple virtualenvs. This configuration file will run the
+# test suite on all supported python versions. To use it, "pip install tox"
+# and then run "tox" from this directory.
+
+[tox]
+envlist = py27-1.5,py26-1.5,py27-1.4,py26-1.4,py27-1.3,py26-1.3,py27-1.2,py26-1.2
+
+[testenv]
+commands = {envpython} runtests.py
+deps =
+ nose
+ unittest2
+
+[testenv:py27-1.5]
+basepython = python2.7
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.5
+
+[testenv:py26-1.5]
+basepython = python2.6
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.5
+
+[testenv:py27-1.4]
+basepython = python2.7
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.4
+
+[testenv:py26-1.4]
+basepython = python2.6
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.4
+
+[testenv:py27-1.3]
+basepython = python2.7
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.3
+
+[testenv:py26-1.3]
+basepython = python2.6
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.3
+
+[testenv:py27-1.2]
+basepython = python2.7
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.2
+
+[testenv:py26-1.2]
+basepython = python2.6
+deps =
+ -r{toxinidir}/tests/requirements.txt
+ django==1.2

0 comments on commit c45d4c8

Please sign in to comment.